<script>
  export let isShow = false;
</script>

{#if isShow}
  <div
    class="flex h-screen w-full justify-center items-center fixed bg-gray-900 opacity-75 z-50"
  >
    <div class="lds-dual-ring" />
  </div>
{/if}

<svelte:head>
  <style>
    .lds-dual-ring {
      display: inline-block;
      width: 80px;
      height: 80px;
    }
    .lds-dual-ring:after {
      content: " ";
      display: block;
      width: 64px;
      height: 64px;
      margin: 8px;
      border-radius: 50%;
      border: 6px solid #fcf;
      border-color: #fcf transparent #fcf transparent;
      animation: lds-dual-ring 1.2s linear infinite;
    }
    @keyframes lds-dual-ring {
      0% {
        transform: rotate(0deg);
      }
      100% {
        transform: rotate(360deg);
      }
    }
  </style>
</svelte:head>
